<!DOCTYPE html>
<html>

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>YouDraw Login</title>

    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.15.3/css/all.css">
    <link rel="stylesheet" href="./login.css">
</head>

<body>
    <div id="app">
        <div id="login">
            <div id="description">
                <h1>用户登录</h1>
                <p>欢迎访问YouDraw社区</p>
            </div>
            <div id="loginForm">
                <form v-on:submit="doLogin">
                    <label for="account">账户</label>
                    <input type="text" id="account" v-model="account" placeholder="邮箱/手机号" autocomplete="off" />

                    <label for="password">密码</label>
                    <i class="fas" v-bind:class="[passwordFieldIcon]" v-on:click="hidePassword = !hidePassword"></i>
                    <input v-bind:type="passwordFieldType" id="password" v-model="password" placeholder="********" />

                    <button type="submit">登录</button>
                </form>
            </div>
        </div>
    </div>
</body>
<script src="https://cdn.jsdelivr.net/npm/vue@3"></script>
<script>
    Vue.createApp({
        setup() {
            const email = Vue.ref("");
            const hidePassword = Vue.ref(true);
            const password = Vue.ref("");

            const passwordFieldIcon = Vue.computed(() => hidePassword.value ? "fa-eye" : "fa-eye-slash");
            const passwordFieldType = Vue.computed(() => hidePassword.value ? "password" : "text");

            const doLogin = () => alert("Not implemented yet :O");

            return {
                email,
                hidePassword,
                password,

                passwordFieldIcon,
                passwordFieldType,

                doLogin
            }
        }
    }).mount("#app");
</script>

</html>